Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2242300

Summary: Fails to start with "Requiring Xdp" error
Product: [Fedora] Fedora Reporter: Artur Frenszek-Iwicki <fedora>
Component: gnome-mapsAssignee: Kalev Lember <klember>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: 39CC: gnome-sig, klember, philip.wyett
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: gnome-maps-45.0-2.fc40 gnome-maps-45.1-1.fc39 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2023-11-03 18:47:39 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:

Description Artur Frenszek-Iwicki 2023-10-05 12:20:15 UTC
Package version: gnome-maps-45.0-1.fc39

Gnome Maps fails to start. When launching the program from the terminal, the following message can be seen on stderr:

(org.gnome.Maps:60785): Gjs-Console-CRITICAL **: 14:03:50.572: Error: Requiring Xdp, version 1.0: Typelib file for namespace 'Xdp', version '1.0' not found
require@resource:///org/gnome/gjs/modules/esm/gi.js:16:28
@gi://Xdp?version=1.0:3:25

Fedora has a "libxdp" package with an accompanying "xdp-tools" subpackage, so I thought that maybe it's a case of a missing dependency, but no; after installing these packages, the bug still persists, so they're probably unrelated.

I thought that, alternatively, "Xdg" could stand for "XDG Desktop Portal", but my system has xdg-desktop-portal{,-gnome} installed.

Reproducible: Always

Comment 1 Kalev Lember 2023-10-05 12:35:56 UTC
Xdp is part of libportal - let me add the missing requires to the package. Thanks for noticing and filing the issue!

Comment 2 Artur Frenszek-Iwicki 2023-10-05 12:46:22 UTC
Yep, that solved it. After running "dnf install libportal", gnome-maps runs as expected.

Thanks for the near-instant reply!

Comment 3 Fedora Update System 2023-10-05 12:48:19 UTC
FEDORA-2023-fc63f109c1 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-fc63f109c1

Comment 4 Fedora Update System 2023-10-05 12:52:15 UTC
FEDORA-2023-fc63f109c1 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2023-10-05 12:55:23 UTC
FEDORA-2023-10e99de2d6 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-10e99de2d6

Comment 6 Kalev Lember 2023-10-05 12:56:54 UTC
Reopening as the fix still needs to land in F39.

Comment 7 Fedora Update System 2023-10-05 20:10:46 UTC
FEDORA-2023-10e99de2d6 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-10e99de2d6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-10e99de2d6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-10-27 02:15:31 UTC
FEDORA-2023-5629d8da92 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-5629d8da92`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-5629d8da92

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-11-03 18:47:39 UTC
FEDORA-2023-5629d8da92 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.